Loading...
Searching...
No Matches
gtsam::Basis< DERIVED >::EvaluationFunctor Class Reference

## Detailed Description

template<typename DERIVED>
class gtsam::Basis< DERIVED >::EvaluationFunctor

An instance of an EvaluationFunctor calculates f(x;p) at a given x, applied to Parameters p.

This functor is used to evaluate a parameterized function at a given scalar value x. When given a specific N*1 vector of Parameters, returns the scalar value of the function at x, possibly with Jacobians wrpt the parameters.

Inheritance diagram for gtsam::Basis< DERIVED >::EvaluationFunctor:

## Public Member Functions

| EvaluationFunctor ()
| For serialization.
| EvaluationFunctor (size_t N, double x)
| Constructor with interval [a,b].
| EvaluationFunctor (size_t N, double x, double a, double b)
| Constructor with interval [a,b].
double | apply (const typename DERIVED::Parameters &p, OptionalJacobian<-1, -1 > H=boost::none) const
| Regular 1D evaluation.
double | operator() (const typename DERIVED::Parameters &p, OptionalJacobian<-1, -1 > H=boost::none) const
| c++ sugar
void | print (const std::string &s="") const

## Protected Attributes

Weights | weights_

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/basis/Basis.h